#  
#
Name: libcomedi
Version: 0.7.19
Release: alt0.3
Summary: Data Acquisition library for the Comedi DAQ driver.
Summary(ru_RU.KOI8-R):      Comedi DAQ.
Copyright: GPL
Group: Development/Other

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.comedi.org/comedi/download/comedilib-%version.tar.bz2
Source1: http://www.comedi.org/comedi/download/comedi_examples.tar.gz
#Patch: %name.patch
#Requires: comedi >= 0.7.63
Provides: comedilib

%description
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments.

%description -l ru_RU.KOI8-R
Comedilib --       Comedi  Linux.
       
 DAQ, ,  National Instruments.

%package devel
Summary: The files needed for %name application development
Summary(ru_RU.KOI8-R): ,       %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains the necessary include files
for developing applications with %name

%description devel -l ru_RU.KOI8-R
 %name-devel    
  ,   %name.

%package devel-static
Summary: Static library for %name application development
Summary(ru_RU.KOI8-R):        %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name-devel-static package contains the static library
for developing applications with %name
%description devel-static -l ru_RU.KOI8-R
 %name-devel-static   
  ,   %name.

%prep
%setup -q -ncomedilib-%version
tar xvfz %SOURCE1
#%patch -p1 -b .buildroot

%build
make

%install

#lets try copying the install sequence...
install -d $RPM_BUILD_ROOT/%_includedir
install -m 644 include/comedilib.h $RPM_BUILD_ROOT/%_includedir
install -m 644 include/comedi.h $RPM_BUILD_ROOT/%_includedir
install -d $RPM_BUILD_ROOT/%_datadir/%name-%version/examples
cd comedi_examples
cp --target-directory $RPM_BUILD_ROOT/%_datadir/%name-%version/examples/$i * -R
cd -
install -d $RPM_BUILD_ROOT/%_datadir/%name-%version/demo/perl
cd demo
cp --target-directory $RPM_BUILD_ROOT/%_datadir/%name-%version/demo/$i $(ls | grep -v .o) -R
cd -

install -d $RPM_BUILD_ROOT/%_libdir
install -m 644 lib/libcomedi.a $RPM_BUILD_ROOT/%_libdir
install lib/libcomedi.so.%version $RPM_BUILD_ROOT/%_libdir

install -d $RPM_BUILD_ROOT/%_sbindir
install -d $RPM_BUILD_ROOT/%_bindir
install -s -m 755 comedi_config/comedi_config $RPM_BUILD_ROOT/%_sbindir
install -s -m 755 comedi_calibrate/comedi_calibrate $RPM_BUILD_ROOT/%_bindir

install -d $RPM_BUILD_ROOT/%_docdir/%name-%version/html
#install -D -m 644 README `find doc -type f` $RPM_BUILD_ROOT/%_docdir/%name-%version/
install -D -m 644 README $RPM_BUILD_ROOT/%_docdir/%name-%version/README
cd doc
cp --target-directory $RPM_BUILD_ROOT/%_docdir/%name-%version/html/$i html/* -R
cd -
install -d $RPM_BUILD_ROOT/%_mandir/man3
install -d $RPM_BUILD_ROOT/%_mandir/man7
install -d $RPM_BUILD_ROOT/%_mandir/man8
install -m 644 man/*.7 $RPM_BUILD_ROOT/%_mandir/man7
install -m 644 man/*.8 $RPM_BUILD_ROOT/%_mandir/man8
install -m 644 doc/man/*.3 $RPM_BUILD_ROOT/%_mandir/man3

%post -p /sbin/ldconfig
cd %_libdir
ln -sf libcomedi.so.%version libcomedi.so
ln -sf libcomedi.so.%version libcomedi.so.0
cd -

%postun -p /sbin/ldconfig

%files
#add whatever files here
#%doc README
#%_docdir/%name-%version/README
%_libdir/libcomedi.so.%version
%_sbindir/comedi_config
%_bindir/comedi_calibrate
%_mandir/man7/comedi.7.gz
%_mandir/man8/comedi_calibrate.8.gz
%_mandir/man8/comedi_config.8.gz

%files devel
%_includedir/comedilib.h
%_includedir/comedi.h
%_mandir/man3/comedi*
%_docdir/%name-%version/*
%_datadir/%name-%version/*

%files devel-static
%_libdir/libcomedi.a

%changelog
* Mon Nov 11 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.19-alt0.3
- cleanup spec
- main package split in devel and devel-static packages

* Sun Nov 03 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.19-alt0.1
- initial build for Sisyphus

* Wed Feb 21 2002 Tim Ousley <tim.ousley@ni.com>
- initial build of comedilib RPM

